' ConvertToOutline.vbs
' Copyright  2006-2008 Kinook Software, Inc.
' http://www.ultrarecall.com/
'
' Converts Ultra Recall XML export to an HTML table of
' contents file, used in conjunction with index.html to 
' display a UR tree + details in a browser.
'
' See http://www.kinook.com/Forum/showthread.php?threadid=2104 for details.

Set xml = CreateObject("MSXML2.DOMDocument")
Set xsl = CreateObject("MSXML2.DOMDocument")
Set fso = CreateObject("Scripting.FileSystemObject")

xml.async = False
xml.load "outline.xml"

xsl.async = False
xsl.load "outline.xslt"

strOutput = xml.transformNode(xsl)

' check for non-ASCII charcters
unicode = False
For i = 1 To Len(strOutput)
	If Asc(Mid(strOutput, i, 1)) > 127 Then
		unicode = True
		Exit For
	End If
Next

Set fout = fso.CreateTextFile("outline.html", True, unicode)
fout.Write strOutput
fout.Close

' open the web page in the default browser
CreateObject("WScript.Shell").Run "outline.html"
